"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDSLGenerator = void 0;
const types_1 = require("../../../types");
const messages_1 = require("../../messages");
const configure_1 = require("../app/configure");
const generatorChain_1 = require("../generatorChain");
const create_1 = require("./create");
const getDSLGenerator = (plop, bypassArr, processGenerators = generatorChain_1.defaultGeneratorMapper) => ({
    name: `create ${types_1.dslName.toLowerCase()} application`,
    generator: (0, generatorChain_1.generatorChain)(plop, (0, messages_1.generatorDescription)('Creates a unified low-code DSL application.'), [create_1.createDslAppGenerator, configure_1.configureAppGenerator].map(processGenerators), bypassArr, [(0, messages_1.seedSuccess)()]),
});
exports.getDSLGenerator = getDSLGenerator;
