"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.seedSelectionNormalizer = exports.seedNormalizer = void 0;
const tslib_1 = require("tslib");
const fs = tslib_1.__importStar(require("fs"));
const path_1 = tslib_1.__importDefault(require("path"));
const errors_1 = require("../../errors");
const seeds_1 = require("../../seeds");
const configure_1 = require("../../seeds/configure");
const utils_1 = require("../../utils");
const seedNormalizer = (seeds) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    return seeds.map((seed) => (Object.assign(Object.assign({}, seed), { configure: (seed === null || seed === void 0 ? void 0 : seed.type) === seeds_1.SeedSource.remote ? seeds_1.configureRemote : seeds_1.configureLocal })));
});
exports.seedNormalizer = seedNormalizer;
const seedSelectionNormalizer = (inquirer, seed) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    if (seed.type === seeds_1.SeedSource.local && !seed.baseDir) {
        const { baseDir } = yield inquirer.prompt([
            {
                name: 'baseDir',
                type: 'select-directory',
                message: `Select local seed`,
                basePath: utils_1.basePath,
            },
        ]);
        try {
            fs.accessSync(path_1.default.join(baseDir, configure_1.genxrcPath));
        }
        catch (err) {
            const errorMsg = {
                message: `Invalid seed: ${path_1.default.join(baseDir, configure_1.genxrcPath)} - not found`,
                name: 'Seed error',
            };
            (0, errors_1.errorHandler)(errorMsg);
        }
        return Object.assign(Object.assign({}, seed), { baseDir });
    }
    return seed;
});
exports.seedSelectionNormalizer = seedSelectionNormalizer;
